/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.EntCosmos;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 * @author obper
 */
@Embeddable
public class DetalleCompraPK implements Serializable {
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 5)
    @Column(name = "compra_codigo")
    private String compraCodigo;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 5)
    @Column(name = "producto_codigo")
    private String productoCodigo;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 11)
    @Column(name = "tipo")
    private String tipo;

    public DetalleCompraPK() {
    }

    public DetalleCompraPK(String compraCodigo, String productoCodigo, String tipo) {
        this.compraCodigo = compraCodigo;
        this.productoCodigo = productoCodigo;
        this.tipo = tipo;
    }

    public String getCompraCodigo() {
        return compraCodigo;
    }

    public void setCompraCodigo(String compraCodigo) {
        this.compraCodigo = compraCodigo;
    }

    public String getProductoCodigo() {
        return productoCodigo;
    }

    public void setProductoCodigo(String productoCodigo) {
        this.productoCodigo = productoCodigo;
    }

    public String getTipo() {
        return tipo;
    }

    public void setTipo(String tipo) {
        this.tipo = tipo;
    }

//    @Override
//    public int hashCode() {
//        int hash = 0;
//        hash += (compraCodigo != null ? compraCodigo.hashCode() : 0);
//        hash += (productoCodigo != null ? productoCodigo.hashCode() : 0);
//        hash += (tipo != null ? tipo.hashCode() : 0);
//        return hash;
//    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof DetalleCompraPK)) {
            return false;
        }
        DetalleCompraPK other = (DetalleCompraPK) object;
        if ((this.compraCodigo == null && other.compraCodigo != null) || (this.compraCodigo != null && !this.compraCodigo.equals(other.compraCodigo))) {
            return false;
        }
        if ((this.productoCodigo == null && other.productoCodigo != null) || (this.productoCodigo != null && !this.productoCodigo.equals(other.productoCodigo))) {
            return false;
        }
        if ((this.tipo == null && other.tipo != null) || (this.tipo != null && !this.tipo.equals(other.tipo))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.cosmodas.dbcon.DetalleCompraPK[ compraCodigo=" + compraCodigo + ", productoCodigo=" + productoCodigo + ", tipo=" + tipo + " ]";
    }

}
